Subject: bug#6719: Issues with Windows hibernation

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Oct 2019 19:46:10 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 03 Oct 2019 16:26:26 +0200
> 
> > I don't know, FWIW, and couldn't see where we any w32 code to inject
> > that event when the system is about to hibernate.  Maybe I'm missing
> > something.
> 
> Is it possible that the OS just sends a [sleep] event to all clients
> when it's about to hibernate?

Maybe, I just don't know.  AFAIK, the message sent in that case is not
processed by Emacs to generate a 'sleep' function key, we only
generate that when the actual "sleep" key on the keyboard is pressed.